---
title: Get info post-checkout
url: amazon-pay-checkout/v1-get-info-post-checkout.html
---

After a successful checkout, [Get Charge Permission](../amazon-pay-api-v2/v1-charge-permission.html) to retrieve buyer info and their shipping address. You can only retrieve details for 30 days after the time that the Charge Permission was created. See the [API reference guide](../amazon-pay-api-v2/v1-charge-permission.html) for more details.

#### Request

```
curl "https://pay-api.amazon.com/:environment/:version/chargePermissions/:chargePermissionId"
-X GET
-H "x-amz-pay-authorization: Px2e5oHhQZ88vVhc0DO%2FsShHj8MDDg%3DEXAMPLESIGNATURE"
```

#### Request parameters

<table width="100%" border="1">
    <tbody>
        <tr id='JfH9CAPXYUR'>
            <td id='s:JfH9CAPXYUR;JfH9CABw0U5' style='vertical-align: top; font-weight: bold; width: 30%;' class='bold'>Name
                <br /></td>
            <td id='s:JfH9CAPXYUR;JfH9CAjtGqR' style='vertical-align: top; font-weight: bold; width: 20%;' class='bold'>Location
                <br /></td>
            <td id='s:JfH9CAPXYUR;JfH9CAXlVGa' style='vertical-align: top; font-weight: bold; width: 50%;' class='bold'>Description
                <br /></td>
        </tr>
        <tr id='JfH9CAaNnK0'>
            <td id='s:JfH9CAaNnK0;JfH9CABw0U5' style='vertical-align: top;'>chargePermissionId<br><b>(required)</b><br><br>Type: string
                <br /></td>
            <td id='s:JfH9CAaNnK0;JfH9CAjtGqR' style='vertical-align: top;'>Path Parameter
                <br /></td>
            <td id='s:JfH9CAaNnK0;JfH9CAXlVGa' style='vertical-align: top;'>Charge Permission identifier
                <br /></td>
        </tr>
    </tbody>
</table>

#### Response

```
{
    "chargePermissionId": "chargePermission-1",
    "chargePermissionReferenceId": null,
    "buyer": {
        "buyerId": "buyerId",
        "name": "name-1",
        "email": "name@amazon.com"
    },
    "releaseEnvironment": "Live",
    "shippingAddress": {  // Null for PayOnly product type
        "name": "Work",
        "addressLine1": "440 Terry Ave",
        "addressLine2": "",
        "addressLine3": "",
        "city": "Seattle",
        "county": "King",
        "district": "Seattle",
        "stateOrRegion": "WA",
        "postalCode": "98121",
        "countryCode": "US",
        "phoneNumber": "800-000-0000"
    },
    "paymentPreferences": [{
        "billingAddress": {  // Only available in EU or for PayOnly product type
            "name": "Work",
            "addressLine1": "440 Terry Ave",
            "addressLine2": "",
            "addressLine3": "",
            "city": "Seattle",
            "county": "King",
            "district": "Seattle",
            "stateOrRegion": "WA",
            "postalCode": "98121",
            "countryCode": "US",
            "phoneNumber": "800-000-0000"
        },
        "paymentDescriptor": null
    }],
    "statusDetail": {
        "state": "Chargeable",
        "reasons": null,
        "lastUpdatedTimestamp": "20190714T155300Z"
    },
    "creationTimestamp": "20190714T155300Z",
    "expirationTimestamp": "20190715T155300Z",
    "merchantMetadata": {
        "merchantReferenceId": "123-77-876", 
        "merchantStoreName": "AmazonTestStoreFront",
        "noteToBuyer": "merchantNoteForBuyer",
        "customInformation": "This is custom information"
    },
    "platformId": "SPId",
    "chargeAmountLimit": {
        "amount":  "14.00",
        "currencyCode":  "USD"
    },
    "presentmentCurrency":  "USD"
}
```






